com.sun.grid.jgdi.rmi

## Class JGDIRmiProxy

- java.lang.Object
- - com.sun.grid.jgdi.rmi.JGDIRmiProxy

- All Implemented Interfaces:
    java.rmi.server.Unreferenced

      public class JGDIRmiProxy
      extends java.lang.Object
      implements java.rmi.server.Unreferenced

  Reference implementation of a JGDI Rmi proxy.

  The rmi proxy can be started from the commandline. Use the `-help` to get more information.

  The JGDI Rmi proxy needs shared libs of the Sun™ Grid Engine in the `LD_LIBRARY_PATH`.

  Example:

        % setenv LD_LIBRARY_PATH $SGE_ROOT/lib/sol-sparc64
        % java -d64 -cp $SGE_ROOT/lib/jgdi.jar com.sun.grid.jgdi.rmi.JGDIRmiProxy -help
        ...

  The JGDIRMIProxy do not install a `SecurityManager`. Please use the `java.security.manager` system property to install `SecurityManager`. The JGDIRMIProxy needs the following permissions:

        permission java.lang.RuntimePermission "loadLibrary.jgdi"
        permission java.lang.RuntimePermission "shutdownHooks"

  This class uses the logger `com.sun.grid.jgdi.rmi`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JGDIRmiProxy()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)` Main method of the `JGDIRMIProxy`.
    `void` | `unreferenced()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JGDIRmiProxy

          public JGDIRmiProxy()

  - ### Method Detail

    - #### main

          public static final void main(java.lang.String[] args)

      Main method of the `JGDIRMIProxy`. Please use the `-help` option for a detailed usage message.
      Parameters:
        `args` - arguments for the `JGDIRMIProxy`

    - #### unreferenced

          public void unreferenced()

      Specified by:
        `unreferenced` in interface `java.rmi.server.Unreferenced`

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.